Moodle
  1. Moodle
  2. MDL-24988

Upgrade proccess from 1.9.9 to 2.0 fails when update mod_wiki

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Minor Minor
    • Resolution: Won't Fix
    • Affects Version/s: 2.0
    • Fix Version/s: None
    • Component/s: Wiki (2.x)
    • Labels:
      None
    • Environment:
      Ubuntu 10.04 LTS
    • Database:
      MySQL
    • Affected Branches:
      MOODLE_20_STABLE
    • Rank:
      6428

      Description

      I can not upgrade from 1.9.9 to 2.0 because it fails when it is trying to upgrade mod_wiki. The error is:

      Migrating old entries to new subwikis

      Error writing to database

      Debug info: Duplicate entry '10-0-0' for key 'mdl_wikisubw_wikgrouse_uix'
      INSERT into mdl_wiki_subwikis (wikiid, groupid, userid)
      SELECT e.wikiid, e.groupid, e.userid
      FROM mdl_wiki_entries_old e
      [array (
      )]
      Stack trace:
      line 394 of /lib/dml/moodle_database.php: dml_write_exception thrown
      line 645 of /lib/dml/mysqli_native_moodle_database.php: call to moodle_database->query_end()
      line 157 of /mod/wiki/db/upgrade.php: call to mysqli_native_moodle_database->execute()
      line 490 of /lib/upgradelib.php: call to xmldb_wiki_upgrade()
      line 265 of /lib/upgradelib.php: call to upgrade_plugins_modules()
      line 1352 of /lib/upgradelib.php: call to upgrade_plugins()
      line 302 of /admin/index.php: call to upgrade_noncore()

        Activity

        Hide
        Michael de Raadt added a comment -

        Thanks for reporting this issue.

        We have detected that this issue has been inactive for over a year. It was reported as affecting versions that are no longer supported.

        If you believe that this issue is still relevant to current versions (2.5 and beyond), please comment on the issue. Issues left inactive for a further month will be closed.

        Michael d.

        TW9vZGxlDQo=

        Show
        Michael de Raadt added a comment - Thanks for reporting this issue. We have detected that this issue has been inactive for over a year. It was reported as affecting versions that are no longer supported. If you believe that this issue is still relevant to current versions (2.5 and beyond), please comment on the issue. Issues left inactive for a further month will be closed. Michael d. TW9vZGxlDQo=
        Hide
        Michael de Raadt added a comment -

        I'm closing this issue as it has been inactive for over a year has been recorded as affecting versions that are no longer supported.

        This is being done as part of a bulk annual clean-up of issues.

        If you still believe this is an issue in supported versions, please create a new issue.

        Show
        Michael de Raadt added a comment - I'm closing this issue as it has been inactive for over a year has been recorded as affecting versions that are no longer supported. This is being done as part of a bulk annual clean-up of issues. If you still believe this is an issue in supported versions, please create a new issue.

          People

          • Votes:
            1 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: